//
// Created by philipp on 20.05.18.
//

#include "NetworkingLib/DatagramSender.h"

int main(int argc, char ** argv)
{
    using namespace std::chrono_literals;
    networking::Networking net;
    auto sender = networking::message::DatagramSender<std::string>::create(net);
    for (std::size_t i = 0;; i++)
    {
        std::ostringstream oss;
        oss << "Msg #" << i;
        sender->send(oss.str(), "10.5.37.195", 10000, 1s);
        std::this_thread::sleep_for(10ms);
    }

    return 0;
}